## net.sf.saxon.pattern
Class AnyChildNodePattern

    java.lang.Object
      |
      +--net.sf.saxon.pattern.NodeTest
            |
            +--net.sf.saxon.pattern.AnyChildNodePattern

All Implemented Interfaces:
  ItemType, java.io.Serializable

public final class AnyChildNodePattern
extends NodeTest

An AnyChildNodePattern is the pattern node(), which matches any node except a root node, an attribute node, or a namespace node: in other words, any node that is the child of another node.

See Also:
  Serialized Form

Constructor Summary
`AnyChildNodePattern()`

Method Summary
`boolean` `allowsTextNodes()` Indicate whether this NodeTest is capable of matching text nodes
`double` `getDefaultPriority()` Determine the default priority to use if this pattern appears as a match pattern for a template with no explicit priority attribute.
`int` `getNodeKindMask()` Get a mask indicating which kinds of nodes this NodeTest can match.
`int` `hashCode()` Returns a hash code value for the object.
`boolean` `matches(int nodeKind, int fingerprint, int annotation)` Test whether this node test is satisfied by a given node
`boolean` `matches(NodeInfo node)` Test whether this node test is satisfied by a given node.
`java.lang.String` `toString()`

Methods inherited from class net.sf.saxon.pattern.NodeTest
`getAtomizedItemType, getContentType, getFingerprint, getPrimitiveItemType, getPrimitiveType, getRequiredNodeNames, getSuperType, matchesItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnyChildNodePattern

    public AnyChildNodePattern()

Method Detail

### matches

    public boolean matches(int nodeKind,
                           int fingerprint,
                           int annotation)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `nodeKind` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched
    `annotation` - The actual content type of the node

### matches

    public boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node. This alternative method is used in the case of nodes where calculating the fingerprint is expensive, for example DOM or JDOM nodes.

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `node` - the node to be matched

### getDefaultPriority

    public double getDefaultPriority()

  Determine the default priority to use if this pattern appears as a match pattern for a template with no explicit priority attribute.

  Specified by:
    `getDefaultPriority` in class `NodeTest`

### allowsTextNodes

    public boolean allowsTextNodes()

  Indicate whether this NodeTest is capable of matching text nodes

  Specified by:
    `allowsTextNodes` in class `NodeTest`

### getNodeKindMask

    public int getNodeKindMask()

  Get a mask indicating which kinds of nodes this NodeTest can match. This is a combination of bits: 1<<Type.ELEMENT for element nodes, 1<<Type.TEXT for text nodes, and so on.

  Specified by:
    `getNodeKindMask` in class `NodeTest`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`